Page MenuHomePhabricator

👩‍👦‍👦 Partial blocks complete blockers for ITWP release
Closed, ResolvedPublic

Related Objects

Event Timeline

TBolliger created this task.Nov 2 2018, 5:52 PM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptNov 2 2018, 5:52 PM
TBolliger updated the task description. (Show Details)Nov 2 2018, 5:55 PM

Some commentary on my decision making:

  • I do not consider defects that affect PB'd admins to be urgent blockers, as the likelihood of an admin receiving a PB is low (and not a primary use case.) We will need to resolve these issues before we switch to our next project.
  • During multiple QA sessions (by myself, with Trust & Safety, and with @Ryasmeen) T208507 came up. Prioritized due to frequency, not necessarily severity.
  • We may want to bump T203171 up because first impressions matter.
jrbs added a subscriber: jrbs.Nov 2 2018, 6:03 PM

I do not consider defects that affect PB'd admins to be urgent blockers, as the likelihood of an admin receiving a PB is low (and not a primary use case.) We will need to resolve these issues before we switch to our next project.

Makes sense to me. More likely are things like T208560, since rollback is given out pretty liberally and it is (I believe) more likely that a user with this ability is PB'd than an admin.

+1

I also agree that T203171 would be more important than admin actions not functioning completely in such case.

TBolliger updated the task description. (Show Details)Nov 7 2018, 10:10 PM
TBolliger triaged this task as High priority.
TBolliger updated the task description. (Show Details)Nov 8 2018, 7:49 PM
TBolliger closed this task as Resolved.Nov 26 2018, 7:38 PM
TBolliger moved this task from Ready to Done on the Anti-Harassment (AHT Sprint 33) board.
TBolliger claimed this task.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptNov 26 2018, 7:38 PM